## unburden-home-dir 0.4.1.2

=== debian/changelog ===
unburden-home-dir (0.4.1.2) unstable; urgency=medium

  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
    + Drop --fail-missing from dh_install, it's now dh_missing's default.
  * Extend Makefile to also remove cloudflare crap and generally any
    occurrences of unneeded <script> tags from mkdocs-generated
    documentation. Documentation just doesn't need this! Thanks Lintian!
    + Uses pcregrep to catch multiline <script> tags. Add it as build-dep.
    + Drop recommends and symlink on mustache.js.
    + Also remove generated search form, search.html and search subfolder.
  * Drop debian/unburden-home-dir-doc.lintian-overrides, no more needed.
  * Drom ancient postinst/postrm/preinst files. They were handling a
    configuration file name change in 2012 and nowadays even cause lintian
    warnings.
  * Drop adequate as-installed test as adequate is no more maintained.
    + Also fixes lintian warning obsolete-runtime-tests-restriction.
  * Add lintian override for uses-deprecated-adttmp. This is a false
    positive, it detects the code to make it backwards compatible with
    autopkgtest < v4.
  * Remove mkdocs-generated, but completely useless sitemap.xml* files as
    they solely contain nonsense entries. Also fixes lintian warning
    compressed-duplicate.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 02 Jan 2021 07:45:27 +0100

=== debian/control ===
Source: unburden-home-dir
Section: utils
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 13),
               devscripts,
               dpkg-dev (>= 1.17.14),
               libconfig-file-perl,
               libfile-basedir-perl,
               libfile-rsync-perl,
               libfile-touch-perl,
               libfile-which-perl,
               libipc-run-perl,
               libstring-expand-perl,
               libtry-tiny-perl,
# Test suite dependencies
               libfile-slurper-perl <!nocheck>,
               libmoo-perl <!nocheck>,
               libstring-random-perl <!nocheck>,
               libtest-differences-perl <!nocheck>,
               libtest-file-perl (>= 1.30) <!nocheck>,
               libtest-perl-critic-perl <!nocheck>,
               lsof <!nocheck>,
# Required for building the documentation
               mkdocs <!nodoc>,
               moreutils <!nodoc>,
               pcregrep <!nodoc>,
# Required for building the man pages
               ronn | ruby-ronn (<< 0.7.3-5.1~) <!nodoc>
Build-Conflicts: libperl-critic-freenode-perl
Standards-Version: 4.5.1
Homepage: https://github.com/xtaran/unburden-home-dir
Vcs-Git: https://github.com/xtaran/unburden-home-dir.git
Vcs-Browser: https://github.com/xtaran/unburden-home-dir
Rules-Requires-Root: no

Package: unburden-home-dir
Architecture: all
Depends: libconfig-file-perl,
         libfile-basedir-perl,
         libfile-rsync-perl,
         libfile-touch-perl,
         libfile-which-perl,
         libipc-run-perl,
         libstring-expand-perl,
         libtry-tiny-perl,
         ${misc:Depends},
         ${perl:Depends}
Pre-Depends: dpkg (>= 1.15.7.2)
Recommends: lsof,
            x11-common
Enhances: x11-common
Suggests: agedu,
          autotrash,
          bleachbit,
          corekeeper,
          eatmydata,
          fslint,
          ncdu | baobab | filelight | xdiskusage | xdu,
          unburden-home-dir-doc,
          tmpreaper
Description: Remove or move cache files automatically from user's home
 unburden-home-dir allows users to move cache files from browsers,
 etc. off their home directory, i.e. on a local harddisk or tmpfs and
 replace them with a symbolic link to the new location (e.g. on /tmp/
 or /scratch/) upon login. Optionally the contents of the directories
 and files can be removed instead of moved.
 .
 This is helpful at least in the following cases:
 .
 The idea-giving case are big workstation setups where $HOME is on NFS
 and all those caches put an unnecessary burden (hence the name) on
 the file server since caching over NFS doesn't have the best
 performance and may clog the NFS server, too.
 .
 A similar case, but with different purpose is reducing I/O on mobile
 devices like laptops or netbooks to extend the battery life or reduce
 the wearing down of CF or SD cards, e.g. in single board computers
 like the Raspberry Pi or Alix or APU boards: Moving browser caches
 etc. off the real disk into a tmpfs filesystem reduces the amount of
 disk I/O which reduces the power consumption of the disk.
 .
 Another possible solution for saving non-crucial I/O is using the
 package eatmydata to ignore a software's fsync calls.
 .
 The other type of use cases for unburden-home-dir is to reduce disk
 space usage, e.g. on devices with small disk space but a lot of RAM
 as seen often on boxes with flash disks or early netbooks, e.g.  the
 first EeePC with 4GB disk space and 2GB RAM. In this case you want to
 move off as many cache files, etc. as possible to some tmpfs
 filesystem, e.g. /tmp/.
 .
 It may also help to reduce the amount of needed backup disk space by
 keeping those files in places where they don't get backed up. In that
 case it's an alternative to keeping the blacklist in your backup
 software up-to-date.
 .
 For some users it may also be helpful to stay under their quota.
 .
 The package also contains an Xsession hook which calls this script on
 X login for every user. But by default no files or directories are
 configured to be moved elsewhere, so nothing will happen
 automatically without configuration.

Package: unburden-home-dir-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: fonts-font-awesome
Enhances: unburden-home-dir
Replaces: unburden-home-dir (<< 0.4.0.1)
Breaks: unburden-home-dir (<< 0.4.0.1)
Section: doc
Homepage: https://unburden-home-dir.readthedocs.io/
Description: HTML documentation for unburden-home-dir
 This package contains the documentation for Unburden Your Home
 Directory in HTML format.
 .
 Alternatively you can also find the latest version of this
 documentation online at either
 https://unburden-home-dir.readthedocs.io/ or
 https://xtaran.gitbooks.io/unburden-home-dir/.
Multi-Arch: foreign

## unburden-home-dir 0.4.1.3

=== Makefile ===
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  PROVEFLAGS += -j$(NUMJOBS)
endif

build: cleanthedocs manpages

docs: html/index.html
html/index.html: mkdocs.yml Makefile docs/*.md
	env LC_ALL=C.UTF-8 mkdocs build --clean

# Avoid any inclusion of either external or embedded JS code. Avoids
# lintian warnings about privacy breaches.
cleanthedocs: docs
	find html -name '*.html' | while read file; do \
		egrep -v '<link [^>]*href=.https?://[^/"]*/[^>]*>|<(img|script)[^>]*src="(https?:)?//|<link rel="stylesheet" href="\.\.?/css/highlight\.css">' "$$file" | \
		pcregrep -Mv '<script[^>]*>[^<]*</script>|<(form|input).*?>|</form>' | \
		sponge "$$file"; \
		sed -e 's:href="./\([^"]*\)/">:href="./\1/index.html">:g' -i $$file; \
	done
	rm -rf html/js/ html/css/highlight.css

manpages: unburden-home-dir.1

%.1: docs/%.1.md
	ronn --manual="Unburden Your Home Directory" -r --pipe $< > $@

index:
	perl -nE 'if (/^  - "?(.+[^"])"?: (\S*?)\.md$$/) { say "* [$$1]($$2)"; }' < mkdocs.yml

pureperltest:
	perl -c bin/unburden-home-dir
	prove $(PROVEFLAGS) t/*.t

test: pureperltest checkbashisms

checkbashisms:
	checkbashisms Xsession.d/* share/*.sh

determine-coverage:
	cover -delete
	prove --exec 'env -u TMPDIR   -u XDG_RUNTIME_DIR      PERL5OPT=-MDevel::Cover=-ignore_re,^t/ perl' t/*.t
	prove --exec 'env    TMPDIR=/foo XDG_RUNTIME_DIR=/bar PERL5OPT=-MDevel::Cover=-ignore_re,^t/ perl' t/*.t

cover: determine-coverage
	cover -report html_basic

coveralls: determine-coverage
	cover -report coveralls
codecov: determine-coverage
	cover -report codecov

install: unburden-home-dir.1
	install -d $(DESTDIR)/etc/X11/Xsession.d/
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/share/man/man1/
	install -d $(DESTDIR)/usr/share/unburden-home-dir/
	install -m 755 bin/unburden-home-dir $(DESTDIR)/usr/bin/
	install -m 644 share/common.sh $(DESTDIR)/usr/share/unburden-home-dir/
	install -m 644 Xsession.d/95unburden-home-dir $(DESTDIR)/etc/X11/Xsession.d/
	install -m 644 Xsession.d/25unburden-home-dir-xdg $(DESTDIR)/etc/X11/Xsession.d/
	install -m 644 etc/unburden-home-dir etc/unburden-home-dir.list $(DESTDIR)/etc/
	sed -e 's/^\([^#]\)/#\1/' -i $(DESTDIR)/etc/unburden-home-dir.list
	gzip -9cn unburden-home-dir.1 > $(DESTDIR)/usr/share/man/man1/unburden-home-dir.1.gz

clean:
	rm -rf html/
	rm -f *.[0-9]

=== debian/changelog ===
unburden-home-dir (0.4.1.3) unstable; urgency=medium

  * Minor documentation updates. (Updated links to 3rd parties, removed
    no more working GitPitch stuff, etc.)
  * Update tests unnecessarily broken by usrmerge. (Closes: #997507)
  * Travis CI: stop testing again Perl "dev". It no more seems to exist.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Oct 2021 04:42:58 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
override_dh_installdocs:
override_dh_install:
	dh_install -punburden-home-dir
override_dh_auto_build:
override_dh_installman:
else
override_dh_install:
	dh_install
	rm -rf debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/fonts \
	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/__pycache__ \
	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/__init__.py \
	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/search* \
	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/sitemap*
	ln -vis /usr/share/fonts-font-awesome/fonts debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/fonts
endif

## unburden-home-dir 0.4.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	env LC_ALL=C.UTF-8 mkdocs build --clean
 
 # Avoid any inclusion of either external or embedded JS code. Avoids
-# lintian warnings about privacy breaches.
+# privacy breaches (and lintian correctly warns about this).
 cleanthedocs: docs
 	find html -name '*.html' | while read file; do \
 		egrep -v '<link [^>]*href=.https?://[^/"]*/[^>]*>|<(img|script)[^>]*src="(https?:)?//|<link rel="stylesheet" href="\.\.?/css/highlight\.css">' "$$file" | \
@@ -43,12 +43,14 @@
 	prove --exec 'env    TMPDIR=/foo XDG_RUNTIME_DIR=/bar PERL5OPT=-MDevel::Cover=-ignore_re,^t/ perl' t/*.t
 
 cover: determine-coverage
-	cover -report html_basic
+	cover -select bin/unburden-home-dir -report html_basic
 
 coveralls: determine-coverage
-	cover -report coveralls
+	cover -select bin/unburden-home-dir -report coveralls
 codecov: determine-coverage
-	cover -report codecov
+	cover -select bin/unburden-home-dir -report codecov
+codecovbash: determine-coverage
+	cover -select bin/unburden-home-dir -report codecovbash
 
 install: unburden-home-dir.1
 	install -d $(DESTDIR)/etc/X11/Xsession.d/

=== debian/changelog ===
unburden-home-dir (0.4.2) unstable; urgency=medium

  * Support %i in the FILELAYOUT configuration variable to insert the
    current numerical user id to allow one using /run/user/<numerical_id>/ as
    TARGETDIR.
  * Make documentation of the configuration file easier to grok.
  * Update "reburden" script link to point to the Wayback Machine. *sigh*
  * Fix a superfluous whitespace in output (and in the according tests).
  * Fix wrong file name order in output when creating symlinks after
    replacing files or directories.
  * Fix mkdocs deprecation warning by replacing "pages" by "nav". (Closes:
    #1009432)
  * Rephrase a comment in Makefile to be more precise.
  * Drop no more working Travis CI in favour of GitHub Actions.
    + Switch to using "cover -report codecovbash" instead of "… codecov".
  * Fix issues under test environments which have set $XDG_CONFIG_HOME.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Apr 2022 23:47:06 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # Required for building the man pages
                ronn | ruby-ronn (<< 0.7.3-5.1~) <!nodoc>
 Build-Conflicts: libperl-critic-freenode-perl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/xtaran/unburden-home-dir
 Vcs-Git: https://github.com/xtaran/unburden-home-dir.git
 Vcs-Browser: https://github.com/xtaran/unburden-home-dir

=== debian/tests/control ===
Tests: prove
Depends: @, @builddeps@
